Subject: Re: bisect results of MSI-X related panic (help!)

From: Tejun Heo <[email-masked]>
Date: Mon, 14 Sep 2009 18:43:58 +0900

Tejun Heo wrote:
> Frans Pop wrote:
>> Jesse Brandeburg wrote:
>>> I've bisected, here is my bisect log, problem is that the commit
>>> identified is a merge commit, and *I don't know what to revert to test*.
>>> It appears the parent of the merge:
>>> 6e15cf04860074ad032e88c306bea656bbdd0f22 is marked good, but looks to be
>>> in a possibly related area to the panic.
>> That merge does contain quite a few merge fixups, so it's quite possible 
>> one of them is the cause of the failure.
>> Maybe the simplest way to verify that is to compile both parents of the 
>> merge to doublecheck that they work OK. Then, if a compile of the merge 
>> itself is bad, the problem really is in the merge commit itself.
>>
>> That commit is the "percpu" merge, so I've added Tejun (author of most of 
>> that branch) and Ingo (merger) in CC.
> 
> Sorry, the oops doesn't ring a bell, well, not yet at least.  It would
> be great if the bisection can be narrowed down more.

Also, building w/ debug option on, capturing more oops traces and
pasting gdb output of l *<oops address> might shed some more light.

Thanks.

-- 
tejun